Package de.gebit.integrity.services

## Class DSLGrammarAccess.StaticValueElements

- java.lang.Object
- - org.eclipse.xtext.service.AbstractElementFinder
  - - org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder
    - - de.gebit.integrity.services.DSLGrammarAccess.StaticValueElements

- All Implemented Interfaces:
    `org.eclipse.xtext.IGrammarAccess.IAbstractRuleAccess`, `org.eclipse.xtext.IGrammarAccess.IParserRuleAccess`
  Enclosing class:
    DSLGrammarAccess

      public class DSLGrammarAccess.StaticValueElements
      extends org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StaticValueElements()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.eclipse.xtext.Alternatives` | `getAlternatives()` |
    `org.eclipse.xtext.RuleCall` | `getBooleanValueParserRuleCall_4()` |
    `org.eclipse.xtext.RuleCall` | `getDateAndTimeValueParserRuleCall_7()` |
    `org.eclipse.xtext.RuleCall` | `getDateValueParserRuleCall_5()` |
    `org.eclipse.xtext.RuleCall` | `getDecimalValueParserRuleCall_3()` |
    `org.eclipse.xtext.RuleCall` | `getEmptyValueParserRuleCall_10()` |
    `org.eclipse.xtext.RuleCall` | `getInexistentValueParserRuleCall_9()` |
    `org.eclipse.xtext.RuleCall` | `getIntegerValueParserRuleCall_2()` |
    `org.eclipse.xtext.RuleCall` | `getJavaConstantValueParserRuleCall_11()` |
    `org.eclipse.xtext.RuleCall` | `getNullValueParserRuleCall_8()` |
    `org.eclipse.xtext.RuleCall` | `getRegexValueParserRuleCall_1()` |
    `org.eclipse.xtext.ParserRule` | `getRule()` |
    `org.eclipse.xtext.RuleCall` | `getStringValueParserRuleCall_0()` |
    `org.eclipse.xtext.RuleCall` | `getTimeValueParserRuleCall_6()` |

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

      `getRules`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `findAssignments, findByNestedRuleCall, findCrossReferences, findCrossReferences, findKeywordPairs, findKeywords, findRuleCalls`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StaticValueElements

          public StaticValueElements()

  - ### Method Detail

    - #### getRule

          public org.eclipse.xtext.ParserRule getRule()

    - #### getAlternatives

          public org.eclipse.xtext.Alternatives getAlternatives()

    - #### getStringValueParserRuleCall_0

          public org.eclipse.xtext.RuleCall getStringValueParserRuleCall_0()

    - #### getRegexValueParserRuleCall_1

          public org.eclipse.xtext.RuleCall getRegexValueParserRuleCall_1()

    - #### getIntegerValueParserRuleCall_2

          public org.eclipse.xtext.RuleCall getIntegerValueParserRuleCall_2()

    - #### getDecimalValueParserRuleCall_3

          public org.eclipse.xtext.RuleCall getDecimalValueParserRuleCall_3()

    - #### getBooleanValueParserRuleCall_4

          public org.eclipse.xtext.RuleCall getBooleanValueParserRuleCall_4()

    - #### getDateValueParserRuleCall_5

          public org.eclipse.xtext.RuleCall getDateValueParserRuleCall_5()

    - #### getTimeValueParserRuleCall_6

          public org.eclipse.xtext.RuleCall getTimeValueParserRuleCall_6()

    - #### getDateAndTimeValueParserRuleCall_7

          public org.eclipse.xtext.RuleCall getDateAndTimeValueParserRuleCall_7()

    - #### getNullValueParserRuleCall_8

          public org.eclipse.xtext.RuleCall getNullValueParserRuleCall_8()

    - #### getInexistentValueParserRuleCall_9

          public org.eclipse.xtext.RuleCall getInexistentValueParserRuleCall_9()

    - #### getEmptyValueParserRuleCall_10

          public org.eclipse.xtext.RuleCall getEmptyValueParserRuleCall_10()

    - #### getJavaConstantValueParserRuleCall_11

          public org.eclipse.xtext.RuleCall getJavaConstantValueParserRuleCall_11()